#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, i, j;
    scanf("%d", &n);
    double tomb[n][2];
    double tombszazalek[n];
    double result[n];
    double temp = 0;
    double szazaelekos;
    for (i=0; i<n; i++){
        for (j=0; j<2; j++){
            scanf("%lf", &tomb[i][j]);
        }
    }
    double szazalek;
    szazalek = 0;
    for (i=0; i<n; i++){
        szazalek = szazalek + tomb[i][1];
        tombszazalek[i] = szazalek;
    }

    double all;

    for (i=0; i<n; i++){
        all = all + tomb[i][0];
    }

    for (i=0; i<n; i++){
        szazaelekos = tombszazalek[i]/100;
        result[i] = all * szazaelekos;
    }

    for (i=0; i<n; i++){
        if (temp < result[i]) {
            temp = result[i];
        }
    }



    printf("%.2lf", temp);

    return 0;
}